#
# spec file for package xhtalk (Version 2.9p1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xpm yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yacc

Name:         xhtalk
Copyright:    1992 Klaus Hartenstein
Group:        X11/Applications/Networking
Provides:     xhtalk 
Autoreqprov:  on
Version:      2.9p1
Release:      416
Summary:      A talk program under X11
Source: xhtalk-2.9p1-linux.tar.gz
Patch: xhtalk-2.9p1-linux.dif
Patch1: sf_warnings.dif

%description
You should copy a sample configuration file as .xhtalk into
your home directory before using xhtalk the first time. You find one
in
/usr/share/doc/packages/xhtalk/SAMPLE.xhtalk

Authors:
--------
    Klaus Hartenstein <kdh@ira.uka.de>
    Angelo Haritsis <ah@doc.ic.ac.uk>

SuSE series: xap

%prep
%setup -n xhtalk-2.9p1-linux
%patch
%patch1
xmkmf -a 

%build
make

%install
make install
make install.man
mkdir -p %{_defaultdocdir}/xhtalk
cp -a *.lsm README* SAMPLE.xhtalk %{_defaultdocdir}/xhtalk

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%docdir %{_defaultdocdir}/xhtalk
%{_defaultdocdir}/xhtalk
/usr/X11R6/bin/xhtalk
%doc /usr/X11R6/man/man1/xhtalk.1x.gz

%changelog -n xhtalk
* Tue May 22 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Mon Nov 20 2000 - fehr@suse.de
- add group tag
* Mon May 22 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb 02 1999 - ro@suse.de
- no m486 on alpha
* Wed Oct 08 1997 - fehr@suse.de
- prepare for automatic build of package
